image: rvancea/maven-chrome-jdk8

build_package:
  stage: build
  script:
  - echo ${ENVIRONMENT}

test:
  stage: test
  script:
    - touch env.properties
    - echo username=${USERNAME}" >> env.properties
    - mvn clean test -Dtest=${ENVIRONMENT}
  artifacts:
      when: always
      paths:
        - /builds/kieuvantruyen.3dfish/maven_docker/-/tree/master/target/site/allure-maven-plugin
      expire_in: 24 hours